Last Comment Bug 793394 - Thunderbird build is broken after Bug 777292 (error: cannot convert from 'int' to 'nsresult')
: Thunderbird build is broken after Bug 777292 (error: cannot convert from 'int...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Import (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: nsresult-enum 793379
  Show dependency treegraph
 
Reported: 2012-09-22 06:23 PDT by Stefan Sitter
Modified: 2012-11-29 02:12 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
possible bustage fix (2.39 KB, patch)
2012-09-22 06:23 PDT, Stefan Sitter
neil: review+
Details | Diff | Splinter Review

Description Stefan Sitter 2012-09-22 06:23:57 PDT
Created attachment 663689 [details] [diff] [review]
possible bustage fix

e:/builds/moz2_slave/tb-c-cen-w32/build/mailnews/import/oexpress/WabObject.cpp(331) : error C2440: '=' : cannot convert from 'int' to 'nsresult'

Conversion to enumeration type requires an explicit cast (static_cast, C-style cast or function-style cast)
Comment 1 neil@parkwaycc.co.uk 2012-09-22 12:43:34 PDT
Comment on attachment 663689 [details] [diff] [review]
possible bustage fix

>+  if (HR_FAILED(hr)) {
>+    return false;
>+  }
> 
>   if (!GetTmpFile(tmp_file))
>     return false;
Nit: other cases either a) don't bother with the {}s or b) include a MAPI_TRACEn macro.
Comment 2 Stefan Sitter 2012-09-23 05:16:47 PDT
Pushed to https://hg.mozilla.org/comm-central/rev/2aee2804b79b and Windows builds are OK again.

Seems that OS X builds are broken by a similar error in mailnews/compose/src/nsMsgAttachmentHandler.cpp. I don't have access to OS X build system therefore I can't provide a patch.

Should a close this bug as fixed and you'll use a different one for the OS X problem? Or do you want to keep this bug open to fix the problem here?
Comment 3 Stefan Sitter 2012-09-24 03:27:39 PDT
Reassigning back to default to ensure that someone else takes over for the required Mac OS X changes.
Comment 4 Mark Banner (:standard8) 2012-09-24 03:48:06 PDT
I just landed a change with rs from Neil over irc, and a part rs as a bustage-fix, this should make Mac green now:

https://hg.mozilla.org/comm-central/rev/987cb8d53150

Note You need to log in before you can comment on or make changes to this bug.